lens-3.10: Lenses, Folds and Traversals

Portability | non-portable
Stability | experimental
Maintainer | Edward Kmett <ekmett@gmail.com>
Safe Haskell | None

Data.Dynamic.Lens

Description

Synopsis

- class AsDynamic t where
  - _Dynamic :: Typeable a => Prism' t a

# Documentation

class AsDynamic t where Source

Any `Dynamic` can be thrown as an `Exception`

Methods

_Dynamic :: Typeable a => Prism' t aSource

This `Prism` allows you to traverse the typed value contained in a `Dynamic` where the type required by your function matches that of the contents of the `Dynamic`, or construct a `Dynamic` value out of whole cloth. It can also be used to catch or throw a `Dynamic` value as `SomeException`.

     _Dynamic :: Typeable a => Prism' Dynamic       a
     _Dynamic :: Typeable a => Prism' SomeException a

Instances

AsDynamic Dynamic |
AsDynamic SomeException |